return {
	-- fuzzy finder
	"nvim-telescope/telescope.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
	},
	config = function()
		local builtin = require("telescope.builtin")
		local actions = require("telescope.actions")
		local opts = { silent = true }

		require("telescope").setup({
			defaults = {
				mappings = {
					i = {
						["<C-j>"] = actions.move_selection_next,
						["<C-k>"] = actions.move_selection_previous,
						["<C-q>"] = actions.send_selected_to_qflist + actions.open_qflist, -- TODO investigate
					},
				},
			},
		})

		opts.desc = "telescope find files"
		vim.keymap.set("n", "<leader>ff", builtin.find_files, opts)

		opts.desc = "telescope live grep"
		vim.keymap.set("n", "<leader>fg", builtin.live_grep, opts)

		opts.desc = "telescope buffers"
		vim.keymap.set("n", "<leader>fb", builtin.buffers, opts)

		opts.desc = "telescope nvim functions"
		vim.keymap.set("n", "<leader>fh", builtin.help_tags, opts)


		-- Search and replace
		
	end,
}
